#include "StdAfx.h"
#include "TimerThread.h"

#include <QTimer>


namespace qut
{


TimerThread::TimerThread(QObject* parent) :
	QThread(parent)
{
}

void TimerThread::run()
{
	QTimer timer;
	connect(&timer, SIGNAL(timeout()), this, SLOT(timerHit()), Qt::DirectConnection);
	timer.setInterval(10);
	timer.start();
	exec();
	timer.stop();
}


void TimerThread::timerHit()
{
	OnTimerHit();
}


}
